#include <stdio.h>
#include <unistd.h>
#include <time.h>

char * getTempFileName(char *dir, char *prefix)
{
	char *ret;
	int i;
	ret=(char *)malloc(strlen(dir)+strlen(prefix)+100);
	i=0;
	do{
		sprintf(ret,"%s/%s.tmpfile.%d.%d.%d.%d",dir,prefix,
				(int)getpid(), (int)getppid(), random(), 
				(int)time(NULL));
		i++;
	}while( access(ret,F_OK)==0 && i<50);
	if(access(ret, F_OK) ==0){
		free(ret);
		return NULL;
	}
	return ret;
}
