#include <stdlib.h>
#include <string.h>


/** To duza za duzo, wiec powinno wystarczyc */
#define MAX_ALLOCATED_BUFS 100000

static char *sq_allocated[MAX_ALLOCATED_BUFS];
static int sq_allocatedAmount=0;

char * sql_quote(char *str)
{
	char *buf;
	int enlarge=0;
	buf=str;
	do{
		buf=strchr(buf,'\'');
		if(buf){
			buf++;
			enlarge++;
		}
	}while(buf);
	if(!enlarge)
		return str;
	sq_allocated[sq_allocatedAmount] = (char *) malloc(strlen(str) +
			enlarge + 1);
	for(buf=sq_allocated[sq_allocatedAmount]; *str; str++,buf++){
		if((*str) == '\''){
			*buf='\'';buf++;
		}
		*buf = *str;
	}
	*buf = *str;  /* end of string */
	return sq_allocated[sq_allocatedAmount++];
}

void sql_quote_free()
{
	int i;
	for(i=0; i<sq_allocatedAmount; i++)
		free(sq_allocated[i]);
	printf("------------------------------------ ZWOLONIONO %d stringow\n",
			sq_allocatedAmount);
			
	sq_allocatedAmount =0;
}



